Download OpenAPI specification:
Fleet APIは、SmartDriveが提供する車両管理データを外部システムと連携するためのAPIです。
Bearer Token認証を使用します。
Authorization: Bearer sdfl_v1_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
トークンはsdfl_v1_プレフィックス + 32文字のランダム文字列で構成されます。
{"data":[...], "meta":{...}, "pagination":{...}}has_nextがtrueで返されます。has_nextの値で次のページの存在を判断してください。{"data":{...}, "meta":{...}}date-time)組織に所属するユーザーの一覧を取得します。 既定の並び順はID降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "display_name" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 100 characters Example: keyword=田中 キーワード検索(部分一致)。ユーザー名、メールアドレスを対象に検索します。 |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "account_id": 12345,
- "user_id": 5252,
- "login_id": "smartdrive-user",
- "display_name": "スマートドライブユーザー",
- "group_ids": [
- 99
], - "phone_number": "09012345678",
- "enable_login": true,
- "is_registered_face": true,
- "organization_id": 15,
- "safe_driving_supervisor": {
- "role": "driver"
}, - "external": {
- "alkiller_employee_id": "1234567890"
}, - "created_at": "2016-10-06T03:52:27Z",
- "updated_at": "2016-10-06T03:52:27Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDのユーザー情報を取得します。
| id required | integer >= 1 Example: 5252 ユーザーID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "account_id": 12345,
- "user_id": 5252,
- "login_id": "smartdrive-user",
- "display_name": "スマートドライブユーザー",
- "group_ids": [
- 99
], - "phone_number": "09012345678",
- "enable_login": true,
- "is_registered_face": true,
- "organization_id": 15,
- "safe_driving_supervisor": {
- "role": "driver"
}, - "external": {
- "alkiller_employee_id": "1234567890"
}, - "created_at": "2016-10-06T03:52:27Z",
- "updated_at": "2016-10-06T03:52:27Z"
}
}組織に所属する車両の一覧を取得します。 既定の並び順はID降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "name" "last_used_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 100 characters Example: keyword=ネクサス キーワード検索(部分一致)。車両名を対象に検索します。 |
| entity_group_ids | string Example: entity_group_ids=1,2,3 車両グループIDで絞り込み(カンマ区切りで複数指定可) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "vehicle_id": 123,
- "entity_id": 456,
- "name": "ネクサス 0001",
- "entity_type_id": 1,
- "last_used_at": "2025-03-01T12:00:00Z",
- "odometer": 100000,
- "label": "営業",
- "color_set_id": 1,
- "group_ids": [
- 11
], - "external": {
- "alkiller_car_no": "car001"
}, - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの車両情報を取得します。
| id required | integer >= 1 Example: 123 車両ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "vehicle_id": 123,
- "entity_id": 456,
- "name": "ネクサス 0001",
- "entity_type_id": 1,
- "last_used_at": "2025-03-01T12:00:00Z",
- "odometer": 100000,
- "label": "営業",
- "color_set_id": 1,
- "group_ids": [
- 11
], - "inspection": {
- "enterprise_id": 2,
- "vehicle_id": 1,
- "registration_number": "品川 あ 1234",
- "frame_number": "WVWZZZ1KZCW018158",
- "model_code": "LA-GD1",
- "length": 4500,
- "height": 1500,
- "width": 1700,
- "expired_at": "2026-03-01",
- "memo": "次回車検予定あり",
- "use_airis_data": true,
- "airis_call_log": {
- "chassisno": "WVWZZZ1KZCW018158",
- "success": true,
- "error_id": "1101",
- "error_message": "該当する車両がありません。",
- "data": {
- "regdate": "2021-11-01T00:00:00Z",
- "firstregdate": "201501",
- "trademark_name": "ホンダ",
- "model_name": "DBA-GK3",
- "enginemodel_name": "L13B",
- "classification": "小型",
- "use": "乗用",
- "purpose": "自家用",
- "bodytype_name": "ステーションワゴン",
- "displacement_value": "1200",
- "fuel_type": "ガソリン",
- "capacity_value_1": "4",
- "loadage_value_1": "200",
- "weight_value": "1000",
- "grossweight_value_1": "1200",
- "length_value": "395",
- "width_value": "170",
- "height_value": "150",
- "axleweight_ff": "750",
- "axleweight_fr": "0",
- "axleweight_rf": "0",
- "axleweight_rr": "350",
- "param_modelno": "12345",
- "param_classno": "0011",
- "expirydate": "2023-11-01T00:00:00Z"
}, - "created_at": "2021-11-01T00:00:00Z"
}, - "airis_data_update_scheduled": false,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}, - "supply": {
- "enterprise_id": 2,
- "vehicle_id": 1,
- "suppliable_type": "lease",
- "lease_enterprise_name": "オリックスリース",
- "staff_name": "いとう",
- "phone_number": "0367123975",
- "monthly_fee": 30000,
- "started_at": "2024-04-01",
- "expired_at": "2027-03-31",
- "employee_name": "伊藤",
- "retail_enterprise_name": "スマドラトヨペット",
- "memo": "3年リース契約",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}, - "parkings": [
- {
- "enterprise_id": 2,
- "vehicle_id": 1,
- "location": {
- "name": "スマートドライブ",
- "address": "東京都品川区東品川4-13-14 グラスキューブ品川10階",
- "coordinates": {
- "latitude": 35.622676,
- "longitude": 139.748082
}, - "radius": 100,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}, - "memo": "本社駐車場",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "external": {
- "alkiller_car_no": "car001"
}, - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に所属するデバイスの一覧を取得します。 既定の並び順はID降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "code" "created_at" "updated_at" "last_used_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 32 characters Example: keyword=2211000049 キーワード検索(部分一致)。device code(display_name)を対象に検索します。 |
| device_group_ids | string Example: device_group_ids=1,2,3 デバイスグループIDで絞り込み(カンマ区切りで複数指定可) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "devices": [
- {
- "code": "device:SmartDrive:SD4V2-LTE:2211000049",
- "display_name": "2211000049",
- "group_ids": [
- 11,
- 12,
- 13
], - "version": "1.10.5.205:2.2.0:1.10.00.04",
- "context": {
- "user": {
- "account_id": 12345,
- "user_id": 1,
- "display_name": "スマートドライブ"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 456,
- "name": "ネクサス 0001"
}
}, - "last_used_at": "2025-03-01T12:00:00Z",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "has_firmware_update_warning": true
}, - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したdevice codeのデバイス情報を取得します。
| device_code required | string Example: device:SmartDrive:SD4V2-LTE:2211000049 device code。完全修飾のcodeを指定する。 例: |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "code": "device:SmartDrive:SD4V2-LTE:2211000049",
- "display_name": "2211000049",
- "group_ids": [
- 11,
- 12,
- 13
], - "version": "1.10.5.205:2.2.0:1.10.00.04",
- "context": {
- "user": {
- "account_id": 12345,
- "user_id": 1,
- "display_name": "スマートドライブ"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 456,
- "name": "ネクサス 0001"
}
}, - "last_used_at": "2025-03-01T12:00:00Z",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に所属するデバイス・車両・ドライバーの最新の位置・走行状態(リアルタイム走行情報)の一覧を取得します。 位置や住所による絞り込み、グループや走行ステータスによる絞り込みが可能です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| latlng | string Example: latlng=35.681236,139.767125 検索の中心となる緯度経度。 |
| address | string Example: address=東京都千代田区 検索の中心となる住所。 radiusと組み合わせて範囲検索に使用します。 |
| radius | integer >= 1 Example: radius=1000 検索範囲(メートル)。latlngまたはaddressと組み合わせて使用します。 |
| device_group_ids | string Example: device_group_ids=1,2,3 デバイスグループIDで絞り込み(カンマ区切りで複数指定可) |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
| vehicle_group_ids | string Example: vehicle_group_ids=1,2,3 車両グループIDで絞り込み(カンマ区切りで複数指定可) |
| status | string Enum: "driving" "stop" Example: status=driving 走行ステータスで絞り込み。
|
| driving_statuses | string Example: driving_statuses=driving,stopped 走行状態で絞り込み(カンマ区切りで複数指定可)。
|
| device_statuses | string Example: device_statuses=online,offline デバイス状態で絞り込み(カンマ区切りで複数指定可)。
|
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "sampled_at": "2025-03-01T12:00:00Z",
- "status": "driving",
- "driving_status": "driving",
- "device_status": "online",
- "distance_from_center": 1.2,
- "current_position": {
- "lat": 35.681236,
- "lng": 139.767125
}, - "context": {
- "user": {
- "user_id": 1,
- "account_id": 12345,
- "display_name": "スマートドライブ"
}, - "vehicle": {
- "vehicle_id": null,
- "entity_id": 456,
- "name": "ネクサス 0001"
}, - "device": {
- "device_id": 789,
- "device_code": "device:SmartDrive:SD4V2-LTE:2211000049",
- "model_name": "SD4V2-LTE"
}
}
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}組織に登録されている地点の一覧を取得します。 キーワード検索(地点名または住所の部分一致)や、地理的検索(指定座標からの半径内)に対応しています。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Example: sort=id ソートフィールド(デフォルト: id)。指定可能な値はエンドポイントごとに異なります。 |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string Example: keyword=東京 キーワード(地点名または住所の部分一致検索) |
| latitude | number <double> Example: latitude=35.681236 緯度(地理的検索用。longitude, radius と共に指定) |
| longitude | number <double> Example: longitude=139.767125 経度(地理的検索用。latitude, radius と共に指定) |
| radius | integer Example: radius=1000 検索範囲(メートル)。latitude, longitude と共に指定されたときのみ有効 |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "東京本社",
- "address": "東京都千代田区丸の内1-1-1",
- "coordinates": {
- "latitude": 35.681236,
- "longitude": 139.767125
}, - "radius": 100,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの地点情報を取得します。
| id required | integer >= 1 Example: 123 地点ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "東京本社",
- "address": "東京都千代田区丸の内1-1-1",
- "coordinates": {
- "latitude": 35.681236,
- "longitude": 139.767125
}, - "radius": 100,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されている管理スペースの一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "updated_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 128 characters Example: keyword=東京 キーワード検索(部分一致)。管理スペース名を対象に検索します。 |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "東京営業所",
- "staff_user_ids": [
- 10001,
- 10005
], - "manager_user_ids": [
- 21000,
- 22000
], - "vehicle_group_ids": [
- 23480,
- 23490,
- 23500
], - "device_group_ids": [
- 12001,
- 12003,
- 12005
], - "staff_role_id": 3000,
- "manager_role_id": 5000,
- "staff_user_group_id": 6000,
- "manager_user_group_id": 4000,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの管理スペース情報を取得します。
| management_space_id required | integer >= 1 Example: 123 管理スペースID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "東京営業所",
- "staff_user_ids": [
- 10001,
- 10005
], - "manager_user_ids": [
- 21000,
- 22000
], - "vehicle_group_ids": [
- 23480,
- 23490,
- 23500
], - "device_group_ids": [
- 12001,
- 12003,
- 12005
], - "staff_role_id": 3000,
- "manager_role_id": 5000,
- "staff_user_group_id": 6000,
- "manager_user_group_id": 4000,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されているユーザーグループの一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "name" "created_at" "updated_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 128 characters Example: keyword=営業 ユーザーグループ名で絞り込むためのキーワード(部分一致) |
| exclude_team | string Default: "false" Enum: "true" "false" Example: exclude_team=false trueを指定すると管理スペースに紐づくユーザーグループを除外する |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "営業部",
- "user_ids": [
- 11,
- 12
], - "is_all_group": false,
- "type": "",
- "user_group_type": "custom_group",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDのユーザーグループ情報を取得します。
| user_group_id required | integer >= 1 Example: 123 ユーザーグループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "営業部",
- "user_ids": [
- 11,
- 12
], - "is_all_group": false,
- "type": "",
- "user_group_type": "custom_group",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されているユーザーグループの一覧を取得します。(フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "name" "created_at" "updated_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 128 characters Example: keyword=営業 ユーザーグループ名で絞り込むためのキーワード(部分一致) |
| exclude_team | string Default: "false" Enum: "true" "false" Example: exclude_team=false trueを指定すると管理スペースに紐づくユーザーグループを除外する |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "営業部",
- "user_ids": [
- 11,
- 12
], - "is_all_group": false,
- "type": "",
- "user_group_type": "custom_group",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDのユーザーグループ情報を取得します。(フラット表現)
| user_group_id required | integer >= 1 Example: 123 ユーザーグループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "営業部",
- "user_ids": [
- 11,
- 12
], - "is_all_group": false,
- "type": "",
- "user_group_type": "custom_group",
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されている車両グループの一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "name" "created_at" "updated_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 128 characters Example: keyword=営業 車両グループ名で絞り込むためのキーワード(部分一致) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "営業車両",
- "entity_ids": [
- 101,
- 102
], - "vehicle_ids": [
- 1001,
- 1002
], - "is_all_group": false,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの車両グループ情報を取得します。
| vehicle_group_id required | integer >= 1 Example: 123 車両グループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "営業車両",
- "entity_ids": [
- 101,
- 102
], - "vehicle_ids": [
- 1001,
- 1002
], - "is_all_group": false,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されている車両グループの一覧を取得します。(フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "name" "created_at" "updated_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| keyword | string <= 128 characters Example: keyword=営業 車両グループ名で絞り込むためのキーワード(部分一致) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "営業車両",
- "entity_ids": [
- 101,
- 102
], - "vehicle_ids": [
- 1001,
- 1002
], - "is_all_group": false,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの車両グループ情報を取得します。(フラット表現)
| vehicle_group_id required | integer >= 1 Example: 123 車両グループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "営業車両",
- "entity_ids": [
- 101,
- 102
], - "vehicle_ids": [
- 1001,
- 1002
], - "is_all_group": false,
- "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されている地点グループの一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Example: sort=id ソートフィールド(デフォルト: id)。指定可能な値はエンドポイントごとに異なります。 |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "関東エリア",
- "notify": false,
- "location_ids": [
- 56842,
- 57836
], - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの地点グループ情報を取得します。
| location_group_id required | integer >= 1 Example: 123 地点グループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "関東エリア",
- "notify": false,
- "location_ids": [
- 56842,
- 57836
], - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に登録されている地点グループの一覧を取得します。(フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Example: sort=id ソートフィールド(デフォルト: id)。指定可能な値はエンドポイントごとに異なります。 |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "name": "関東エリア",
- "notify": false,
- "location_ids": [
- 56842,
- 57836
], - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの地点グループ情報を取得します。(フラット表現)
| location_group_id required | integer >= 1 Example: 123 地点グループID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "name": "関東エリア",
- "notify": false,
- "location_ids": [
- 56842,
- 57836
], - "created_at": "2025-01-19T07:06:39Z",
- "updated_at": "2025-01-19T07:06:39Z"
}
}組織に所属するユーザーの日報一覧を取得します。 日付範囲の指定が必須です。既定の並び順は日付降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "date" Value: "date" Example: sort=date ソートフィールド(デフォルト: date) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| date_from required | string <date> Example: date_from=2025-08-01 対象期間の開始日(YYYY-MM-DD形式) |
| date_to required | string <date> Example: date_to=2025-08-31 対象期間の終了日(YYYY-MM-DD形式) |
| user_ids | string Example: user_ids=1,2,3 ユーザーIDで絞り込み(カンマ区切りで複数指定可) |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
| approval_status | string Default: "all" Enum: "all" "unapproved" "approved" "updated_after_approval" "unapproved_or_updated_after_approval" 承認状態で絞り込み。APIトークンにdaily_summary_approval権限がない場合、このパラメータは無視される。
|
| alcohol_check_results | string Example: alcohol_check_results=failure アルコールチェック結果で絞り込み(カンマ区切りで複数指定可)
|
| daily_inspection_results | string Example: daily_inspection_results=failure 日常点検結果で絞り込み(カンマ区切りで複数指定可)
|
| has_fuel_record | boolean 給油記録があるデータのみ取得する場合はtrue、ないデータのみ取得する場合はfalse |
| has_driving_record | boolean Default: false trueの場合、走行または運転記録がある日の日報のみに絞り込む。falseの場合、絞り込みなし。 |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "user": {
- "user_id": 5252,
- "display_name": "スマートドライブユーザー",
- "safe_driving_supervisor": {
- "role": "driver"
}
}, - "date": "2025-08-24",
- "driving_distance": 15.5,
- "manual_distance": 10.2,
- "duration": 3600,
- "started_at": "2025-08-24T09:00:00Z",
- "ended_at": "2025-08-24T18:00:00Z",
- "alcohol_checks": [
- {
- "history_type": "before_driving",
- "success": true,
- "verification_status": "passed"
}
], - "before_alcohol_check_results": [
- "success"
], - "after_alcohol_check_results": [
- "success"
], - "daily_inspection_results": [
- "unexecuted"
], - "fuel_record_count": 2,
- "comment_count": 1,
- "approvers": [
- {
- "user_id": 100,
- "display_name": "管理者太郎",
- "approved_at": "2025-08-25T10:00:00Z",
- "status": "available"
}
]
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したユーザーの指定日付の日報詳細を取得します。 日付の指定が必須です。
| user_id required | integer >= 1 Example: 5252 ユーザーID |
| date required | string <date> Example: date=2025-08-24 対象日付(YYYY-MM-DD形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "user": {
- "user_id": 5252,
- "display_name": "スマートドライブユーザー",
- "safe_driving_supervisor": {
- "role": "driver"
}
}, - "date": "2025-08-24",
- "driving_distance": 15.5,
- "manual_distance": 10.2,
- "duration": 3600,
- "started_at": "2025-08-24T09:00:00Z",
- "ended_at": "2025-08-24T18:00:00Z",
- "average_score": 98,
- "driving_count": 2,
- "max_speed": 80.5,
- "max_duration": 3600,
- "idling_time": 300,
- "stop_duration": 600,
- "hard_acceleration_count": 1,
- "hard_deceleration_count": 0,
- "hard_steering_count": 0,
- "drivings": [
- {
- "driving_detail_id": 3001,
- "driving_id": "550e8400-e29b-41d4-a716-446655440000",
- "status": "analyzed",
- "user": {
- "user_id": 5252,
- "display_name": "スマートドライブユーザー",
- "safe_driving_supervisor": {
- "role": "driver"
}
}, - "vehicle": {
- "vehicle_id": 123,
- "name": "ネクサス 0001",
- "entity_id": 5001,
- "created_at": "2025-01-01T00:00:00Z",
- "updated_at": "2025-01-01T00:00:00Z"
}, - "device": {
- "code": "dev:SmartDrive:STZ-DR10:000000000000000",
- "display_name": "000000000000000",
- "model_name": "STZ-DR10"
}, - "distance": 15.5,
- "duration": 3600,
- "max_speed": 80.5,
- "start_point": {
- "timestamp": "2025-08-24T09:00:00Z",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都品川区東品川4-13-14"
}, - "end_point": {
- "timestamp": "2025-08-24T09:00:00Z",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都品川区東品川4-13-14"
}, - "destinations": [
- {
- "driving_destination_id": 1,
- "location_id": 10,
- "label": "株式会社スマートドライブ",
- "address": "東京都品川区東品川4-13-14",
- "memo": "営業提案2回目"
}
], - "created_at": "2025-08-24T10:05:00Z"
}
], - "manual_input_drivings": [
- {
- "id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "name": "ネクサス 0001"
}, - "started_at": "2025-08-24T09:00:00Z",
- "ended_at": "2025-08-24T10:00:00Z",
- "start_odometer": 1000,
- "end_odometer": 2000,
- "destination": "東京都港区",
- "distance": 1000,
- "use_auto_calculate_distance": true,
- "overnight_shift_flag": false,
- "memo": "お客様との打ち合わせ",
- "created_at": "2025-08-24T10:00:00Z",
- "updated_at": "2025-08-24T10:00:00Z"
}
], - "alcohol_checks": [
- {
- "alcohol_check_id": 12345,
- "history_type": "before_driving",
- "confirmed_type": "face_to_face",
- "observe_user": {
- "user_id": 5252,
- "display_name": "スマートドライブユーザー",
- "safe_driving_supervisor": {
- "role": "driver"
}
}, - "success": true,
- "breath_alcohol_level": 0.01,
- "instruction": "指示事項内容",
- "memo": "メモ内容",
- "confirmed_at": "2025-08-24T08:30:00Z",
- "overnight_shift_flag": false,
- "vehicle": {
- "vehicle_id": 123,
- "name": "ネクサス 0001"
}, - "verification": {
- "status": "pending"
}
}
], - "daily_inspections": [
- {
- "daily_inspection_id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "name": "ネクサス 0001"
}, - "status": "normal",
- "completed": true,
- "confirmed_at": "2025-08-24T08:00:00Z",
- "overnight_shift_flag": false,
- "anomaly_report": "異常内容詳細",
- "memo": "メモ内容"
}
], - "fuel_records": [
- {
- "fuel_record_id": 1001,
- "fueled_at": "2025-08-24T12:00:00Z",
- "fuel_type": "regular",
- "fuel_quantity": 10,
- "total_payment_amount": 100,
- "overnight_shift_flag": false,
- "vehicle": {
- "vehicle_id": 123,
- "name": "ネクサス 0001"
}, - "memo": "メモ内容"
}
], - "comments": [
- {
- "id": 789,
- "user_id": 456,
- "user_display_name": "佐藤花子",
- "deleted_user_id": 0,
- "deleted_user_display_name": "string",
- "date": "2025-08-24",
- "commented_at": "2025-08-24T15:30:00Z",
- "content": "本日の運転、お疲れ様でした。",
- "is_system_comment": false,
- "deleted_at": "2019-08-24T14:15:22Z"
}
], - "approvers": [
- {
- "user_id": 100,
- "display_name": "管理者太郎",
- "approved_at": "2025-08-25T10:00:00Z",
- "status": "available"
}
], - "approvals": [
- {
- "id": 123,
- "user_id": 456,
- "approved_at": "2025-08-25T10:00:00Z",
- "display_name": "管理者太郎",
- "status": "available",
- "deleted_at": "2019-08-24T14:15:22Z",
- "deleted_user_id": 0,
- "deleted_user_display_name": "string"
}
]
}
}組織に紐づく走行履歴の一覧を取得します。 既定の並び順は走行開始日時降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "started_at" Enum: "started_at" "ended_at" Example: sort=started_at ソートフィールド(デフォルト: started_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| user_id | integer >= 1 Example: user_id=123 ユーザーIDによる絞り込み |
| entity_id | integer >= 1 Example: entity_id=456 エンティティID(車両)による絞り込み |
| device_id | integer >= 1 Example: device_id=789 デバイスIDによる絞り込み |
| statuses | string^(started|in-progress|finished|analyzing|anal... Example: statuses=finished,analyzed 走行ステータスで絞り込み(カンマ区切りで複数指定可)
|
| ts_from | string <date-time> Example: ts_from=2026-01-01T00:00:00Z 日時フィルタ。指定した日時以降のデータを取得(RFC3339形式) |
| ts_to | string <date-time> Example: ts_to=2026-01-31T23:59:59Z 日時フィルタ。指定した日時以前のデータを取得(RFC3339形式) |
| entity_group_ids | string Example: entity_group_ids=1,2,3 車両グループIDで絞り込み(カンマ区切りで複数指定可) |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "driving_uuid": "b0a80056-0210-4ae4-8484-a6c01f92e220",
- "status": "analyzed",
- "distance": 12.5,
- "duration": 1800,
- "max_speed": 60.5,
- "start_point": {
- "timestamp": "2026-01-15T09:00:00Z",
- "latitude": 35.658789693553345,
- "longitude": 139.7454436265125,
- "address": "東京都港区六本木1-1-1"
}, - "end_point": {
- "timestamp": "2026-01-15T09:00:00Z",
- "latitude": 35.658789693553345,
- "longitude": 139.7454436265125,
- "address": "東京都港区六本木1-1-1"
}, - "context": {
- "user": {
- "user_id": 123,
- "account_id": 456,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 456,
- "entity_id": 789,
- "name": "ネクサス 0001"
}, - "device": {
- "device_id": 123,
- "device_code": "2211000049",
- "model_name": "SD4-LTE"
}
}, - "diagnosis": {
- "version": 1,
- "score": 85,
- "acceleration_score": 80,
- "deceleration_score": 75,
- "steering_left_score": 90,
- "steering_right_score": 88,
- "hard_acceleration_count": 2,
- "hard_deceleration_count": 1
}, - "data_alerts": [ ],
- "created_at": "2026-01-15T09:00:00Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したUUIDの走行履歴を取得します。
| driving_uuid required | string <uuid> Example: b0a80056-0210-4ae4-8484-a6c01f92e220 走行UUID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "driving_uuid": "b0a80056-0210-4ae4-8484-a6c01f92e220",
- "status": "analyzed",
- "distance": 12.5,
- "duration": 1800,
- "max_speed": 60.5,
- "start_point": {
- "timestamp": "2026-01-15T09:00:00Z",
- "latitude": 35.658789693553345,
- "longitude": 139.7454436265125,
- "address": "東京都港区六本木1-1-1"
}, - "end_point": {
- "timestamp": "2026-01-15T09:00:00Z",
- "latitude": 35.658789693553345,
- "longitude": 139.7454436265125,
- "address": "東京都港区六本木1-1-1"
}, - "context": {
- "user": {
- "user_id": 123,
- "account_id": 456,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 456,
- "entity_id": 789,
- "name": "ネクサス 0001"
}, - "device": {
- "device_id": 123,
- "device_code": "2211000049",
- "model_name": "SD4-LTE"
}
}, - "diagnosis": {
- "version": 1,
- "score": 85,
- "acceleration_score": 80,
- "deceleration_score": 75,
- "steering_left_score": 90,
- "steering_right_score": 88,
- "hard_acceleration_count": 2,
- "hard_deceleration_count": 1
}, - "data_alerts": [ ],
- "created_at": "2026-01-15T09:00:00Z"
}
}指定したUUIDの走行に紐づくトラックポイントを取得します。 トラックポイントは走行中に取得したGPS情報を元に生成されます。
| driving_uuid required | string <uuid> Example: b0a80056-0210-4ae4-8484-a6c01f92e220 走行UUID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "timestamp": "2026-01-15T09:00:00Z",
- "latitude": 35.658789693553345,
- "longitude": 139.7454436265125,
- "events": [
- {
- "type": "hard_acceleration",
- "detection_method": "trane",
- "detection_method_label": "GPS",
- "started_at": "2019-08-24T14:15:22Z",
- "ended_at": "2019-08-24T14:15:22Z",
- "movie": {
- "movie_id": "9cb7c2ac-e3ac-463b-8778-d900d4cb3f6f",
- "trigger": "hard_deceleration",
- "started_at": "2019-08-24T14:15:22Z",
- "ended_at": "2019-08-24T14:15:22Z",
- "occurred_at": "2019-08-24T14:15:22Z"
}, - "gforce": {
- "r": 0,
- "th": 15
}
}
]
}
]
}組織に所属するユーザーの月報一覧を取得します。 年月の指定が必須です。 対象月に走行・運転記録・アルコールチェック・日常点検・給油のいずれかがある日報を持つユーザーのデータを返却します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| year_month required | string Example: year_month=2025-08 対象年月(YYYY-MM形式) |
| user_id | integer Example: user_id=1 ユーザーIDで絞り込み |
| user_group_id | integer Example: user_group_id=1 ユーザーグループIDで絞り込み |
| has_driving_record | boolean Default: false trueの場合、対象月に走行または運転記録がある日報が1件以上あるユーザーのみに絞り込む。 falseの場合、対象月に走行・運転記録・アルコールチェック・日常点検・給油のいずれかがある日報が1件以上あるユーザーのみに絞り込む。 |
| unapproved_by_user_id | integer Example: unapproved_by_user_id=101 指定した承認者が承認していない月報(未承認または承認後更新あり)を絞り込む |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "user": {
- "user_id": 5252,
- "display_name": "スマートドライブユーザー"
}, - "year_month": "2025-08",
- "driving_days": 12,
- "activity_days": 15,
- "duration": 36000,
- "driving_distance": 150.5,
- "manual_distance": 80.2,
- "idling_time": 1800,
- "stop_duration": 3600,
- "average_score": 90,
- "hard_operation_count": 5,
- "max_speed": 33.3,
- "total_fuel_quantity": 45.5,
- "total_fuel_payment_amount": 7500,
- "approvers": [
- {
- "user_id": 100,
- "display_name": "管理者太郎",
- "approval_count": 10,
- "status": "available"
}
]
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したユーザーの月報詳細情報を取得します。 年月の指定が必須です。
| user_id required | integer >= 1 Example: 123 ユーザーID |
| year_month required | string Example: year_month=2025-08 対象年月(YYYY-MM形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "user": {
- "user_id": 5252,
- "account_id": 1234,
- "display_name": "スマートドライブユーザー"
}, - "year_month": "2025-08",
- "items": [
- {
- "date": "2025-08-01",
- "is_holiday": false,
- "is_worked": true,
- "has_driving_record": true,
- "started_at": "2025-08-01T09:00:00Z",
- "ended_at": "2025-08-01T18:00:00Z",
- "driving_count": 3,
- "duration": 3600,
- "driving_distance": 15.5,
- "manual_distance": 10.2,
- "max_speed": 33.3,
- "max_duration": 3600,
- "max_duration_without_breaks": 3000,
- "idling_time": 300,
- "stop_duration": 600,
- "score": 90,
- "hard_operation_count": 2,
- "name": "営業車A",
- "destinations": "株式会社スマートドライブ",
- "comment_count": 2,
- "alcohol_check_before_driving": [
- {
- "success": true,
- "breath_alcohol_level": 0,
- "confirmed_at": "2025-08-01T08:30:00Z",
- "verification_status": "passed"
}
], - "alcohol_check_after_driving": [
- {
- "success": true,
- "breath_alcohol_level": 0,
- "confirmed_at": "2025-08-01T08:30:00Z",
- "verification_status": "passed"
}
], - "daily_inspection": [
- {
- "summary_result": "完了 正常",
- "confirmed_at": "2025-08-01T08:00:00Z"
}
], - "fuel_records": [
- {
- "id": 1001,
- "fuel_type": "regular",
- "fuel_quantity": 45.5,
- "total_payment_amount": 7500,
- "vehicle": {
- "id": 123,
- "entity_id": 5001,
- "name": "営業車A",
- "entity_type_id": 1,
- "created_at": "2025-01-01T00:00:00Z",
- "updated_at": "2025-01-01T00:00:00Z",
- "odometer": 50000,
- "label": "品川 300 あ 1234",
- "color_set_id": 1,
- "unaccessible": false
}
}
], - "approvers": [
- {
- "user_id": 100,
- "display_name": "管理者太郎",
- "status": "available"
}
]
}
], - "summary": {
- "driving_days": 12,
- "activity_days": 15,
- "duration": 36000,
- "driving_distance": 150.5,
- "manual_distance": 80.2,
- "idling_time": 1800,
- "stop_duration": 3600,
- "average_score": 90,
- "hard_operation_count": 5,
- "max_speed": 33.3,
- "total_fuel_quantity": 45.5,
- "total_fuel_payment_amount": 7500,
- "approved_days_count": 10,
- "approvers": [
- {
- "user_id": 100,
- "display_name": "管理者太郎",
- "approval_count": 10,
- "status": "available"
}
]
}
}
}組織に登録されている車両の月報一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| year_month required | string Example: year_month=2023-04 年月によるフィルタ(指定した年月の月報を取得する。例:2023-04) |
| vehicle_id | integer >= 1 Example: vehicle_id=12345 車両IDによる絞り込み |
| entity_group_id | integer >= 1 Example: entity_group_id=1 車両グループIDによる絞り込み |
| has_driving_record | boolean Default: false Example: has_driving_record=false 対象月に走行または運転記録があるデータのみ取得する場合true |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "vehicle_id": 12345,
- "entity_id": 12345,
- "name": "車両1",
- "driving_days": 2,
- "duration": 300,
- "driving_distance": 1.5,
- "manual_distance": 1.5,
- "idling_time": 300,
- "stop_duration": 300,
- "max_speed": 100,
- "total_fuel_quantity": 1.5,
- "total_fuel_payment_amount": 10000,
- "year_month": "2023-04",
- "over_account_count_limit": false
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した車両の月報詳細情報を取得します。 年月の指定が必須です。
| vehicle_id required | integer >= 1 Example: 123 車両ID |
| year_month required | string Example: year_month=2023-04 対象年月(YYYY-MM形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "vehicle_id": 12345,
- "entity_id": 12345,
- "name": "車両1",
- "items": [
- {
- "date": "2023-04-01",
- "is_holiday": false,
- "is_worked": true,
- "display_name": "スマートドライブ1",
- "has_driving_record": true,
- "started_at": "2023-04-01T09:00:00Z",
- "ended_at": "2023-04-01T18:00:00Z",
- "driving_count": 2,
- "duration": 3600,
- "driving_distance": 15.5,
- "manual_distance": 10.2,
- "max_speed": 80.1,
- "max_duration": 3600,
- "idling_time": 300,
- "stop_duration": 600,
- "average_score": 90,
- "hard_operation_count": 2,
- "destinations": "株式会社スマートドライブ",
- "daily_inspection": [
- {
- "confirmed_at": "2023-04-01T08:00:00Z",
- "status": "normal",
- "completed": true
}
], - "alcohol_check_before_driving": [
- {
- "success": true,
- "breath_alcohol_level": 0.01,
- "confirmed_at": "2023-04-01T08:30:00Z",
- "is_other_vehicle": false,
- "verification_status": "passed"
}
], - "alcohol_check_after_driving": [
- {
- "success": true,
- "breath_alcohol_level": 0.01,
- "confirmed_at": "2023-04-01T08:30:00Z",
- "is_other_vehicle": false,
- "verification_status": "passed"
}
], - "fuel_records": [
- {
- "id": 12345,
- "account_id": 12345,
- "display_name": "スマートドライブ1",
- "fuel_quantity": 10.5,
- "total_payment_amount": 1500
}
]
}
], - "summary": {
- "driving_days": 2,
- "duration": 300,
- "idling_time": 300,
- "stop_duration": 300,
- "driving_distance": 1.5,
- "manual_distance": 1.5,
- "max_speed": 100,
- "total_fuel_quantity": 1.5,
- "total_fuel_payment_amount": 10000
}
}
}組織に登録されている走行動画の一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| user_id | integer >= 1 Example: user_id=123 ユーザーIDによる絞り込み |
| entity_id | integer >= 1 Example: entity_id=456 エンティティID(車両)による絞り込み |
| device_id | integer >= 1 Example: device_id=789 デバイスIDによる絞り込み |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
| entity_group_ids | string Example: entity_group_ids=1,2,3 車両グループIDで絞り込み(カンマ区切りで複数指定可) |
| triggers | string Example: triggers=hard_acceleration,hard_deceleration トリガー種別で絞り込み(カンマ区切りで複数指定可)。有効値: impact, hard_handling, hard_acceleration, hard_deceleration, button, wobble, collision, lane_departure, drowsiness, distraction, long_driving_time, overspeed, object_detect_phone, start_delay, insufficient_inter_vehicle_distance, movie_request, unknown |
| ts_from | string <date-time> Example: ts_from=2024-01-01T00:00:00Z 日時フィルタ。指定した日時以降のデータを取得(RFC3339形式) |
| ts_to | string <date-time> Example: ts_to=2024-01-31T23:59:59Z 日時フィルタ。指定した日時以前のデータを取得(RFC3339形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": "3f595cf2-46b7-447b-8093-5d04fa8b1d87",
- "trigger": "hard_acceleration",
- "user": {
- "user_id": 5252,
- "display_name": "山田太郎"
}, - "vehicle": {
- "vehicle_id": 100,
- "entity_id": 200,
- "name": "ネクサス 0001"
}, - "device": {
- "device_id": 123,
- "device_code": "2211000049",
- "model_name": "SD4-LTE"
}, - "started_at": "2024-01-15T09:00:00+09:00",
- "ended_at": "2024-01-15T09:01:00+09:00",
- "occurred_at": "2024-01-15T09:00:30+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した走行動画の情報を取得します。
| movie_event_id required | string Example: 3f595cf2-46b7-447b-8093-5d04fa8b1d87 走行動画ID(UUID形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": "3f595cf2-46b7-447b-8093-5d04fa8b1d87",
- "trigger": "hard_acceleration",
- "user": {
- "user_id": 5252,
- "display_name": "山田太郎"
}, - "vehicle": {
- "vehicle_id": 100,
- "entity_id": 200,
- "name": "ネクサス 0001"
}, - "device": {
- "device_id": 123,
- "device_code": "2211000049",
- "model_name": "SD4-LTE"
}, - "started_at": "2024-01-15T09:00:00+09:00",
- "ended_at": "2024-01-15T09:01:00+09:00",
- "occurred_at": "2024-01-15T09:00:30+09:00"
}
}組織に登録されている走行動画リクエストの一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "requested_at" Value: "requested_at" Example: sort=requested_at ソートフィールド(デフォルト: requested_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "status": "succeeded",
- "requested_at": "2026-01-15T09:00:00+09:00",
- "started_at": "2026-01-15T09:00:00+09:00",
- "ended_at": "2026-01-15T09:05:00+09:00",
- "device_display_name": "ドライブレコーダー001",
- "vehicle": {
- "id": 100,
- "vehicle_id": 200,
- "name": "社用車001"
}, - "register_user": {
- "account_id": 12345,
- "id": 5252,
- "display_name": "スマートドライブユーザー"
}
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}組織に登録されている給油記録の一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| fueled_at_from required | string <date-time> Example: fueled_at_from=2024-01-01T00:00:00Z 給油日時の開始(fueled_at >=)。RFC3339形式 |
| fueled_at_to required | string <date-time> Example: fueled_at_to=2024-01-31T23:59:59Z 給油日時の終了(fueled_at <=)。RFC3339形式 |
| account_id | integer >= 1 Example: account_id=123 アカウントIDでフィルタ |
| user_group_id | integer >= 1 Example: user_group_id=10 ユーザーグループIDでフィルタ |
| entity_id | integer >= 1 Example: entity_id=20000001 車両エンティティIDでフィルタ |
| entity_group_id | integer >= 1 Example: entity_group_id=5 車両グループIDでフィルタ |
| bulk_registration_id | integer >= 1 Example: bulk_registration_id=42 一括登録IDでフィルタ |
| has_no_receipt | boolean Default: false Example: has_no_receipt=false trueの場合、レシート画像が登録されていない給油記録のみを取得 |
| has_memo | boolean Default: false Example: has_memo=false trueの場合、メモが入力されている給油記録のみを取得。Unicode の空白文字(半角 / 全角スペース、タブ、改行、ノーブレークスペース等)のみで構成されるメモは抽出対象外 |
| has_no_vehicle | boolean Default: false Example: has_no_vehicle=false trueの場合、車両が設定されていない給油記録のみを取得(entity_id, entity_group_idパラメーターは無視される) |
| has_no_account | boolean Default: false Example: has_no_account=false trueの場合、実施者が設定されていない給油記録のみを取得(account_id, user_group_idパラメーターは無視される) |
| registration_type | string Enum: "manual" "bulk" Example: registration_type=manual 登録種別でフィルタ(manual: 手動登録, bulk: 一括登録) |
| sort | string Default: "fueled_at" Value: "fueled_at" Example: sort=fueled_at ソートフィールド(デフォルト: fueled_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "fueled_at": "2024-01-15T10:30:00.000Z",
- "fuel_type": "regular",
- "fuel_quantity": 45.5,
- "overnight_shift_flag": false,
- "total_payment_amount": 8250,
- "memo": "高速道路SA給油",
- "receipt_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2024-01-15T10:28:00.000Z"
}
}, - "coordinate": {
- "latitude": 35.6895,
- "longitude": 139.6917
}, - "address": "東京都千代田区千代田1-1",
- "registration_type": "manual",
- "register_account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "update_account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "created_at": "2024-01-15T10:30:00.000Z",
- "updated_at": "2024-01-15T10:30:00.000Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した給油記録の情報を取得します。
| fuel_record_id required | integer >= 1 Example: 123 給油記録ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "fueled_at": "2024-01-15T10:30:00.000Z",
- "fuel_type": "regular",
- "fuel_quantity": 45.5,
- "overnight_shift_flag": false,
- "total_payment_amount": 8250,
- "memo": "高速道路SA給油",
- "receipt_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2024-01-15T10:28:00.000Z"
}
}, - "coordinate": {
- "latitude": 35.6895,
- "longitude": 139.6917
}, - "address": "東京都千代田区千代田1-1",
- "registration_type": "manual",
- "register_account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "update_account": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "created_at": "2024-01-15T10:30:00.000Z",
- "updated_at": "2024-01-15T10:30:00.000Z"
}
}組織に登録されている日常点検の一覧を取得します。 既定の並び順は確認日時(confirmed_at)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| user_id | integer >= 1 Example: user_id=100 ドライバーのユーザーIDでフィルタ |
| user_group_id | integer >= 1 Example: user_group_id=10 ユーザーグループIDでフィルタ |
| entity_id | integer >= 1 Example: entity_id=20000001 車両エンティティIDでフィルタ |
| entity_group_id | integer >= 1 Example: entity_group_id=5 車両グループIDでフィルタ |
| ts_from | string <date-time> Example: ts_from=2026-03-01T00:00:00+09:00 確認日時の開始(confirmed_at >=)。ISO 8601形式 |
| ts_to | string <date-time> Example: ts_to=2026-03-31T23:59:59+09:00 確認日時の終了(confirmed_at <=)。ISO 8601形式 |
| has_memo | boolean Default: false Example: has_memo=false メモの有無でフィルタ(true=メモありのみ)。Unicode の空白文字(半角 / 全角スペース、タブ、改行、ノーブレークスペース等)のみで構成されるメモは抽出対象外 |
| is_anomaly | boolean Default: false Example: is_anomaly=false 異常の有無でフィルタ(true=異常ありのみ) |
| template_name_keyword | string <= 128 characters Example: template_name_keyword=車両点検 テンプレート名のキーワード検索(部分一致、最大128文字) |
| sort | string Default: "confirmed_at" Value: "confirmed_at" Example: sort=confirmed_at ソートフィールド(デフォルト: confirmed_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 123,
- "version": "1.2.0",
- "template_name": "標準日常点検",
- "status": "normal",
- "completed": true,
- "success": true,
- "overnight_shift_flag": false,
- "memo": "特記事項なし",
- "anomaly_report": "フロントタイヤの空気圧が低下",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "checked_items": [
- "エンジンオイル",
- "ブレーキ液"
], - "checklist": {
- "sections": [
- {
- "sort_order": 1,
- "title": "エンジン",
- "items": [
- {
- "name": "エンジンオイル",
- "type": "check",
- "sort_order": 1,
- "result": true,
- "child_items": [
- {
- "name": null,
- "sort_order": null,
- "result": null
}
]
}
]
}
]
}, - "driver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "entity_id": 20000001,
- "vehicle_id": 1,
- "name": "営業車 A-001"
}, - "registrant": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "images": [
- {
- "exif_data": {
- "latitude": 35.6762,
- "longitude": 139.6503,
- "captured_at": "2026-03-25T09:58:00+09:00"
}
}
], - "confirmed_at": "2026-03-25T10:00:00+09:00",
- "created_at": "2026-03-25T10:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した日常点検の情報を取得します。
| daily_inspection_id required | integer >= 1 Example: 123 日常点検ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 123,
- "version": "1.2.0",
- "template_name": "標準日常点検",
- "status": "normal",
- "completed": true,
- "success": true,
- "overnight_shift_flag": false,
- "memo": "特記事項なし",
- "anomaly_report": "フロントタイヤの空気圧が低下",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "checked_items": [
- "エンジンオイル",
- "ブレーキ液"
], - "checklist": {
- "sections": [
- {
- "sort_order": 1,
- "title": "エンジン",
- "items": [
- {
- "name": "エンジンオイル",
- "type": "check",
- "sort_order": 1,
- "result": true,
- "child_items": [
- {
- "name": "オイル量",
- "sort_order": 1,
- "result": true
}
]
}
]
}
]
}, - "driver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "entity_id": 20000001,
- "vehicle_id": 1,
- "name": "営業車 A-001"
}, - "registrant": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "images": [
- {
- "exif_data": {
- "latitude": 35.6762,
- "longitude": 139.6503,
- "captured_at": "2026-03-25T09:58:00+09:00"
}
}
], - "confirmed_at": "2026-03-25T10:00:00+09:00",
- "created_at": "2026-03-25T10:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00"
}
}組織に登録されている車両予約の一覧を取得します。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "started_at" "ended_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| ts_from | string <date-time> Example: ts_from=2026-01-01T00:00:00Z 期間の開始時刻。ended_at がこの時刻より後の予約を返します(RFC3339形式) |
| ts_to | string <date-time> Example: ts_to=2026-01-31T23:59:59Z 期間の終了時刻。started_at がこの時刻以前の予約を返します(RFC3339形式) |
| driver_user_id | integer >= 1 Example: driver_user_id=123 ドライバーユーザーIDによる絞り込み |
| registrant_user_id | integer >= 1 Example: registrant_user_id=456 予約登録者ユーザーIDによる絞り込み |
| entity_id | integer >= 1 Example: entity_id=789 車両エンティティIDによる絞り込み(単一) |
| entity_ids | string Example: entity_ids=1,2,3 車両エンティティIDによる絞り込み(カンマ区切りで複数指定可) |
| entity_group_ids | string Example: entity_group_ids=1,2,3 車両グループIDによる絞り込み(カンマ区切りで複数指定可) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 1,
- "organization_id": 100,
- "started_at": "2026-01-15T09:00:00Z",
- "ended_at": "2026-01-15T10:00:00Z",
- "memo": "会議のため利用",
- "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "registrant": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "actual_status": true,
- "usage_status": "pending",
- "repeat": {
- "id": 1,
- "end_date": "2026-12-31T00:00:00Z",
- "day_of_the_week": 6
}, - "created_at": "2026-01-15T08:00:00Z",
- "updated_at": "2026-01-15T08:00:00Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した車両予約の情報を取得します。
| reservation_id required | integer >= 1 Example: 123 車両予約ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "enterprise_id": 1,
- "organization_id": 100,
- "started_at": "2026-01-15T09:00:00Z",
- "ended_at": "2026-01-15T10:00:00Z",
- "memo": "会議のため利用",
- "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "registrant": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "actual_status": true,
- "usage_status": "pending",
- "repeat": {
- "id": 1,
- "end_date": "2026-12-31T00:00:00Z",
- "day_of_the_week": 6
}, - "created_at": "2026-01-15T08:00:00Z",
- "updated_at": "2026-01-15T08:00:00Z"
}
}組織に登録されている車両の運行工程の一覧を取得します。
指定した期間(ts_from〜ts_to)に該当する運行工程を返します。date でソートします。
車両の絞り込みは entity_id で指定します。
ドライバーの絞り込みは driver_user_id で指定します。
ドライバーの絞り込みは details に含まれるドライバーを基準に運行工程を返すため、絞り込み対象以外のドライバーが
details に含まれる場合もあります。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "date" Value: "date" Example: sort=date ソートフィールド(デフォルト: date) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| ts_from required | string <date-time> Example: ts_from=2026-01-01T00:00:00Z 対象期間の開始日時。 |
| ts_to required | string <date-time> Example: ts_to=2026-01-31T23:59:59Z 対象期間の終了日時。 |
| entity_id | integer >= 1 Example: entity_id=123 車両エンティティIDによる絞り込み |
| driver_user_id | integer >= 1 Example: driver_user_id=456 ドライバーユーザーIDによる絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 6374,
- "date": "2026-01-12T00:00:00+09:00",
- "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "start_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "details": [
- {
- "route_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "started_at": "2026-01-12T17:00:00+09:00",
- "ended_at": "2026-01-12T18:15:00+09:00",
- "memo": "目的地へ移動"
}
], - "distance": 100,
- "polylines": [
- "_p~iF~ps|U"
], - "use_auto_calculate_distance": true,
- "created_at": "2026-01-12T07:06:39Z",
- "updated_at": "2026-01-12T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの運行工程情報を取得します。
| vehicle_route_plan_id required | integer >= 1 Example: 6374 運行工程ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 6374,
- "date": "2026-01-12T00:00:00+09:00",
- "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "start_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "details": [
- {
- "route_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "started_at": "2026-01-12T17:00:00+09:00",
- "ended_at": "2026-01-12T18:15:00+09:00",
- "memo": "目的地へ移動"
}
], - "distance": 100,
- "polylines": [
- "_p~iF~ps|U"
], - "use_auto_calculate_distance": true,
- "created_at": "2026-01-12T07:06:39Z",
- "updated_at": "2026-01-12T07:06:39Z"
}
}組織に登録されているドライバーの運行工程の一覧を取得します。
指定した期間(ts_from〜ts_to)に該当する運行工程を返します。date でソートします。
ドライバーの絞り込みは driver_user_id で指定します。
車両の絞り込みは entity_id で指定します。
車両の絞り込みは details に含まれる車両を基準に運行工程を返すため、絞り込み対象以外の車両が
details に含まれる場合もあります。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "date" Value: "date" Example: sort=date ソートフィールド(デフォルト: date) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| ts_from required | string <date-time> Example: ts_from=2026-01-01T00:00:00Z 対象期間の開始日時。 |
| ts_to required | string <date-time> Example: ts_to=2026-01-31T23:59:59Z 対象期間の終了日時。 |
| driver_user_id | integer >= 1 Example: driver_user_id=456 ドライバーユーザーIDによる絞り込み |
| entity_id | integer >= 1 Example: entity_id=123 車両エンティティIDによる絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 6373,
- "date": "2026-01-12T00:00:00+09:00",
- "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "start_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "details": [
- {
- "route_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "started_at": "2026-01-12T17:00:00+09:00",
- "ended_at": "2026-01-12T18:15:00+09:00",
- "memo": "目的地へ移動"
}
], - "distance": 100,
- "polylines": [
- "_p~iF~ps|U"
], - "use_auto_calculate_distance": true,
- "created_at": "2026-01-12T07:06:39Z",
- "updated_at": "2026-01-12T07:06:39Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの運行工程情報を取得します。
| driver_route_plan_id required | integer >= 1 Example: 6373 運行工程ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 6373,
- "date": "2026-01-12T00:00:00+09:00",
- "driver": {
- "user_id": 1,
- "account_id": 10,
- "display_name": "田中太郎"
}, - "start_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "details": [
- {
- "route_point": {
- "id": 1010,
- "name": "スマートドライブ",
- "address": "東京都千代田区有楽町1-1-2 日比谷三井タワー 12F",
- "latitude": 35.673864691701596,
- "longitude": 139.75923965534813
}, - "vehicle": {
- "vehicle_id": 1,
- "entity_id": 2,
- "name": "ネクサス 0001"
}, - "started_at": "2026-01-12T17:00:00+09:00",
- "ended_at": "2026-01-12T18:15:00+09:00",
- "memo": "目的地へ移動"
}
], - "distance": 100,
- "polylines": [
- "_p~iF~ps|U"
], - "use_auto_calculate_distance": true,
- "created_at": "2026-01-12T07:06:39Z",
- "updated_at": "2026-01-12T07:06:39Z"
}
}組織に所属するユーザーのアルコールチェック記録の一覧を取得します。 既定の並び順は確認日時(confirmed_at)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| user_id | integer >= 1 Example: user_id=100 ドライバーのユーザーIDでフィルタ |
| user_group_id | integer >= 1 Example: user_group_id=10 ユーザーグループIDでフィルタ |
| entity_id | integer >= 1 Example: entity_id=20000001 車両エンティティIDでフィルタ |
| entity_group_id | integer >= 1 Example: entity_group_id=5 車両グループIDでフィルタ |
| ts_from | string <date-time> Example: ts_from=2026-03-01T00:00:00+09:00 確認日時の開始(confirmed_at >=)。ISO 8601形式 |
| ts_to | string <date-time> Example: ts_to=2026-03-31T23:59:59+09:00 確認日時の終了(confirmed_at <=)。ISO 8601形式 |
| sort | string Default: "confirmed_at" Value: "confirmed_at" Example: sort=confirmed_at ソートフィールド(デフォルト: confirmed_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| has_instruction_memo | boolean Default: false Example: has_instruction_memo=false 指示メモの有無でフィルタ(true=指示メモありのみ)。Unicode の空白文字(半角 / 全角スペース、タブ、改行、ノーブレークスペース等)のみで構成される指示メモは抽出対象外 |
| has_location | boolean Default: false Example: has_location=false 位置情報の有無でフィルタ(true=位置情報ありのみ) |
| input_method | string Example: input_method=manual_input,ocr アルコール濃度の入力方法でフィルタ(カンマ区切りで複数指定可。manual_input, ocr, checker_cooperation, alkiller) |
| observe_account_id | integer >= 1 Example: observe_account_id=2 立会人のアカウントIDでフィルタ |
| verification_statuses | string Example: verification_statuses=pending,failed 確認ステータスでフィルタ(カンマ区切りで複数指定可。pending, passed, failed) |
| approval_status | string Enum: "pending" "approved" Example: approval_status=pending 承認ステータスでフィルタ(pending / approved) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 123,
- "history_type": "before_driving",
- "confirmed_type": "face_to_face",
- "breath_alcohol_level": 0,
- "success": true,
- "use_token": false,
- "use_ocr": false,
- "memo": "異常なし",
- "instruction": "注意事項を確認してください",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "alcohol_level_input_method": "manual_input",
- "checker_device_supplier": "フィガロ技研",
- "checker_device_model": "FALC-11",
- "checker_device_id": "FALC-11-001",
- "completed": true,
- "overnight_shift_flag": false,
- "confirmed_at": "2026-03-25T10:00:00+09:00",
- "created_at": "2026-03-25T10:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00",
- "driver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "observer": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "registrant": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "verification": {
- "status": "pending",
- "verified_at": null
}, - "approval": {
- "status": "pending",
- "approver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "approved_at": null
}, - "images": [
- {
- "content_type": "image/jpeg",
- "filename": "alcohol_checker.jpeg"
}
], - "face_photo": {
- "content_type": "image/jpeg",
- "filename": "face.jpeg"
}
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDのアルコールチェック記録を取得します。
| id required | integer >= 1 Example: 123 アルコールチェックID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 123,
- "history_type": "before_driving",
- "confirmed_type": "face_to_face",
- "breath_alcohol_level": 0,
- "success": true,
- "use_token": false,
- "use_ocr": false,
- "memo": "異常なし",
- "instruction": "注意事項を確認してください",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "alcohol_level_input_method": "manual_input",
- "checker_device_supplier": "フィガロ技研",
- "checker_device_model": "FALC-11",
- "checker_device_id": "FALC-11-001",
- "completed": true,
- "overnight_shift_flag": false,
- "confirmed_at": "2026-03-25T10:00:00+09:00",
- "created_at": "2026-03-25T10:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00",
- "driver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "observer": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "registrant": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "verification": {
- "status": "pending",
- "verified_at": null
}, - "approval": {
- "status": "pending",
- "approver": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "approved_at": null
}, - "images": [
- {
- "content_type": "image/jpeg",
- "filename": "alcohol_checker.jpeg"
}
], - "face_photo": {
- "content_type": "image/jpeg",
- "filename": "face.jpeg"
}
}
}組織に紐づく運転記録の一覧を取得します。 既定の並び順は運転開始日時降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "started_at" Value: "started_at" Example: sort=started_at ソートフィールド(デフォルト: started_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| user_id | integer >= 1 Example: user_id=100 ユーザーIDによる絞り込み |
| entity_id | integer >= 1 Example: entity_id=20000001 車両エンティティIDによる絞り込み |
| entity_group_ids | string Example: entity_group_ids=1,2,3 車両グループIDで絞り込み(カンマ区切りで複数指定可) |
| user_group_ids | string Example: user_group_ids=1,2,3 ユーザーグループIDで絞り込み(カンマ区切りで複数指定可) |
| ts_from | string <date-time> Example: ts_from=2026-01-01T00:00:00Z 日時フィルタ。指定した日時以降の運転記録を取得(RFC3339形式) |
| ts_to | string <date-time> Example: ts_to=2026-01-31T23:59:59Z 日時フィルタ。指定した日時以前の運転記録を取得(RFC3339形式) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "account": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "started_at": "2026-01-15T09:00:00Z",
- "ended_at": "2026-01-15T10:30:00Z",
- "start_odometer": 100000,
- "end_odometer": 101500,
- "destination": "東京都港区",
- "distance": 1500,
- "duration": 5400,
- "use_auto_calculate_distance": true,
- "overnight_shift_flag": false,
- "memo": "お客様との打ち合わせ",
- "start_odometer_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2026-01-15T09:00:00.000Z"
}
}, - "end_odometer_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2026-01-15T09:00:00.000Z"
}
}, - "created_at": "2026-01-15T09:00:00Z",
- "updated_at": "2026-01-15T10:30:00Z"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した運転記録の情報を取得します。
| manual_input_driving_id required | integer >= 1 Example: 1 運転記録ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "account": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "started_at": "2026-01-15T09:00:00Z",
- "ended_at": "2026-01-15T10:30:00Z",
- "start_odometer": 100000,
- "end_odometer": 101500,
- "destination": "東京都港区",
- "distance": 1500,
- "duration": 5400,
- "use_auto_calculate_distance": true,
- "overnight_shift_flag": false,
- "memo": "お客様との打ち合わせ",
- "start_odometer_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2026-01-15T09:00:00.000Z"
}
}, - "end_odometer_image": {
- "exif_data": {
- "latitude": 35.681236,
- "longitude": 139.767125,
- "gps_date": "2026-01-15T09:00:00.000Z"
}
}, - "created_at": "2026-01-15T09:00:00Z",
- "updated_at": "2026-01-15T10:30:00Z"
}
}組織に紐づくジオフェンスイベント(地点への出入記録)の一覧を取得します。 既定の並び順はイベント発生日時(occurred_at)の降順です。
アクセス権限のない車両・ユーザーに紐づくイベントは、user または vehicle の各フィールドが "--" になります。 user・vehicle の両方に権限がないイベントは返却されません。
limitよりも少ない件数が返されることがあります(権限フィルタリングによる間引き)。
次のページの有無は pagination.has_next で判断してください。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| ts_from required | string <date-time> Example: ts_from=2026-03-01T00:00:00+09:00 イベント発生日時の開始(occurred_at >=)。ISO 8601形式 |
| ts_to required | string <date-time> Example: ts_to=2026-03-31T23:59:59+09:00 イベント発生日時の終了(occurred_at <=)。ISO 8601形式 |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": "abc123def456",
- "device_code": "2211000049",
- "user": {
- "user_id": 5252,
- "display_name": "山田太郎"
}, - "vehicle": {
- "vehicle_id": 100,
- "entity_id": 200,
- "name": "ネクサス 0001"
}, - "transition_type": "entered",
- "location": {
- "location_id": 1,
- "name": "東京本社"
}, - "occurred_at": "2026-03-25T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}組織に所属するユーザーの業務ステータスイベント一覧を取得します。 既定の並び順はステータス切替日時(started_at)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| user_id | integer >= 1 Example: user_id=100 ユーザーIDでフィルタ |
| user_group_id | integer >= 1 Example: user_group_id=10 ユーザーグループIDでフィルタ |
| work_status_id | integer >= 1 Example: work_status_id=5 業務ステータスIDでフィルタ |
| ts_from | string <date-time> Example: ts_from=2026-03-01T00:00:00+09:00 ステータス切替日時の開始(started_at >=)。ISO 8601形式 |
| ts_to | string <date-time> Example: ts_to=2026-03-31T23:59:59+09:00 ステータス切替日時の終了(started_at <=)。ISO 8601形式 |
| sort | string Default: "started_at" Value: "started_at" Example: sort=started_at ソートフィールド(デフォルト: started_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| has_memo | boolean Default: false Example: has_memo=false メモの有無でフィルタ(true=メモありのみ)。Unicode の空白文字(半角 / 全角スペース、タブ、改行、ノーブレークスペース等)のみで構成されるメモは抽出対象外 |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1001,
- "user": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "work_status": {
- "id": 5,
- "label": "業務中",
- "description": "通常業務中",
- "category": "working"
}, - "memo": "外出先から直帰",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "started_at": "2026-03-25T09:00:00+09:00",
- "created_at": "2026-03-25T09:00:00+09:00",
- "updated_at": "2026-03-25T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの業務ステータスを取得します。
| id required | integer >= 1 Example: 1001 業務ステータスイベントID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1001,
- "user": {
- "account_id": 1,
- "user_id": 100,
- "display_name": "田中太郎"
}, - "work_status": {
- "id": 5,
- "label": "業務中",
- "description": "通常業務中",
- "category": "working"
}, - "memo": "外出先から直帰",
- "latitude": 35.6762,
- "longitude": 139.6503,
- "address": "東京都千代田区丸の内1-1-1",
- "started_at": "2026-03-25T09:00:00+09:00",
- "created_at": "2026-03-25T09:00:00+09:00",
- "updated_at": "2026-03-25T09:00:00+09:00"
}
}組織に登録されている作業の一覧を取得します。 既定の並び順は完了期限日時(limit_at)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| user_id | integer >= 1 Example: user_id=100 作業担当者のユーザーIDでフィルタ。 user_group_idと同時指定した場合はuser_idが優先され、user_group_idは無視されます。 |
| user_group_id | integer >= 1 Example: user_group_id=10 作業担当者が所属するユーザーグループIDでフィルタ。 user_idと同時指定した場合はuser_idが優先され、本パラメータは無視されます。 |
| register_user_id | integer >= 1 Example: register_user_id=200 作業を登録したユーザーIDでフィルタ。 register_user_group_idと同時指定した場合はregister_user_idが優先され、register_user_group_idは無視されます。 |
| register_user_group_id | integer >= 1 Example: register_user_group_id=20 作業を登録したユーザーが所属するユーザーグループIDでフィルタ。 register_user_idと同時指定した場合はregister_user_idが優先され、本パラメータは無視されます。 |
| date_filter_field | string Default: "limit_at" Enum: "limit_at" "closed_at" Example: date_filter_field=limit_at ts_from / ts_to によるフィルタ対象の日時フィールド(limit_at: 完了期限日時, closed_at: 完了日時) |
| ts_from | string <date-time> Example: ts_from=2026-03-01T00:00:00+09:00 date_filter_field で指定した日時の開始(>=)。RFC3339形式 |
| ts_to | string <date-time> Example: ts_to=2026-03-31T23:59:59+09:00 date_filter_field で指定した日時の終了(<=)。RFC3339形式 |
| state | string Default: "all" Enum: "all" "open" "closed" Example: state=all 作業の状態でフィルタ(all: 全て, open: 未完了, closed: 完了) |
| has_memo | boolean Default: false Example: has_memo=false メモの有無でフィルタ(true=メモが1文字以上登録されている作業のみ)。Unicode の空白文字(半角 / 全角スペース、タブ、改行、ノーブレークスペース等)のみで構成されるメモは抽出対象外 |
| title_keyword | string <= 256 characters Example: title_keyword=電話対応 作業タイトルの部分一致検索キーワード |
| sort | string Default: "limit_at" Enum: "limit_at" "closed_at" Example: sort=limit_at ソートフィールド(デフォルト: limit_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "title": "電話対応",
- "detail": "〇〇企業様からの電話",
- "memo": "明日折り返す",
- "driver": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "registrant": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "last_updater": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "closer": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "limit_at": "2026-03-31T23:59:59+09:00",
- "closed_at": "2026-03-25T10:00:00+09:00",
- "closed_latitude": 35.6606487,
- "closed_longitude": 139.7527851,
- "closed_address": "港区新橋6-19-13",
- "created_at": "2026-03-01T09:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定したIDの作業情報を取得します。
| work_task_id required | integer >= 1 Example: 1 作業ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "title": "電話対応",
- "detail": "〇〇企業様からの電話",
- "memo": "明日折り返す",
- "driver": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "registrant": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "last_updater": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "closer": {
- "account_id": 123,
- "user_id": 456,
- "display_name": "田中太郎"
}, - "limit_at": "2026-03-31T23:59:59+09:00",
- "closed_at": "2026-03-25T10:00:00+09:00",
- "closed_latitude": 35.6606487,
- "closed_longitude": 139.7527851,
- "closed_address": "港区新橋6-19-13",
- "created_at": "2026-03-01T09:00:00+09:00",
- "updated_at": "2026-03-25T10:00:00+09:00"
}
}指定された車両に紐づく整備記録の一覧を取得します。 既定の並び順は作成日時(created_at)の降順です。
| vehicle_id required | integer >= 1 Example: 123 車両ID |
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "created_at" Value: "created_at" Example: sort=created_at ソートフィールド(デフォルト: created_at) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した整備記録の情報を取得します。
| vehicle_id required | integer >= 1 Example: 123 車両ID |
| maintenance_id required | integer >= 1 Example: 1 整備記録ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}
}指定された車両に紐づく整備記録の一覧を取得します。 既定の並び順は整備記録ID(id)の降順です。 (フラット表現。vehicle_id はクエリパラメータ)
| vehicle_id required | integer >= 1 Example: vehicle_id=123 車両ID |
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "vehicle_id" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した整備記録の情報を取得します。 (フラット表現。maintenance_id のみで取得し、親 vehicle_id は指定不要。 同一 enterprise 内かつアクセス可能な vehicle に紐づくものであれば、その vehicle を問わず取得できる)
| maintenance_id required | integer >= 1 Example: 1 整備記録ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 1,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}
}指定した車両に紐づく保険情報の一覧を取得します。 既定の並び順は保険ID(id)の降順です。
| vehicle_id required | integer >= 1 Example: 123 車両ID |
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "vehicle_id" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 100,
- "enterprise_id": 1,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}指定した車両に紐づく保険情報の詳細を取得します。
| vehicle_id required | integer >= 1 Example: 123 車両ID |
| insurance_id required | integer >= 1 Example: 100 保険ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 100,
- "enterprise_id": 1,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}
}指定した車両に紐づく保険情報の一覧を取得します。 既定の並び順は保険ID(id)の降順です。 (フラット表現。vehicle_id はクエリパラメータ)
| vehicle_id required | integer >= 1 Example: vehicle_id=123 車両ID |
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "vehicle_id" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 100,
- "enterprise_id": 1,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}保険情報の詳細を取得します。 (フラット表現。insurance_id のみで取得し、親 vehicle_id は指定不要。 同一 enterprise 内かつアクセス可能な vehicle に紐づくものであれば、その vehicle を問わず取得できる)
| insurance_id required | integer >= 1 Example: 100 保険ID |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": {
- "id": 100,
- "enterprise_id": 1,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}
}車検証リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "inspection": {
- "id": 1,
- "registration_number": "品川 あ 1234",
- "frame_number": "WVWZZZ1KZCW018158",
- "model_code": "LA-GD1",
- "length": 460,
- "height": 150,
- "width": 170,
- "expired_at": "2027-03-01",
- "memo": "整備工場へ予約済み",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}リースリマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "lease": {
- "vehicle_id": 1,
- "phone_number": "0367123975",
- "started_at": "2024-04-01",
- "expired_at": "2027-03-31"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}保険リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "insurance": {
- "id": 100,
- "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}免許証リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| user_group_id | integer >= 1 Example: user_group_id=100 ユーザーグループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "user": {
- "user_id": 123,
- "account_id": 12345,
- "display_name": "スマートドライブユーザー"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "driver_license": {
- "id": 100,
- "issued_at": "2022-10-14",
- "expired_at": "2027-10-14",
- "memo": "ゴールド免許",
- "created_at": "2022-10-14T09:00:00+09:00",
- "updated_at": "2022-10-14T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}整備記録リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "maintenance": {
- "id": 100,
- "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}車検証リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。 (フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "inspection": {
- "id": 1,
- "registration_number": "品川 あ 1234",
- "frame_number": "WVWZZZ1KZCW018158",
- "model_code": "LA-GD1",
- "length": 460,
- "height": 150,
- "width": 170,
- "expired_at": "2027-03-01",
- "memo": "整備工場へ予約済み",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}リースリマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。 (フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "lease": {
- "vehicle_id": 1,
- "phone_number": "0367123975",
- "started_at": "2024-04-01",
- "expired_at": "2027-03-31"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}保険リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。 (フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "insurance": {
- "id": 100,
- "insurance_enterprise_name": "三井住友海上火災保険株式会社",
- "category": 0,
- "category_label": "自賠責保険",
- "policy_number": "F000001-0001",
- "started_at": "2024-04-01",
- "expired_at": "2025-03-31",
- "yearly_fee": 30000,
- "agent_name": "スマドラ保険代理店",
- "memo": "次回更新時にプラン変更を検討",
- "created_at": "2024-04-01T09:00:00+09:00",
- "updated_at": "2024-04-01T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}免許証リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。 (フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| user_group_id | integer >= 1 Example: user_group_id=100 ユーザーグループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "user": {
- "user_id": 123,
- "account_id": 12345,
- "display_name": "スマートドライブユーザー"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "driver_license": {
- "id": 100,
- "issued_at": "2022-10-14",
- "expired_at": "2027-10-14",
- "memo": "ゴールド免許",
- "created_at": "2022-10-14T09:00:00+09:00",
- "updated_at": "2022-10-14T09:00:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}整備記録リマインダーの一覧を取得します。 既定の並び順はリマインダーID(id)の降順です。 (フラット表現)
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "id" Enum: "id" "created_at" "reminded_at" Example: sort=id ソートフィールド(デフォルト: id) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| in_remind | boolean Default: false Example: in_remind=false trueの時、リマインド期間内のリマインダーのみ取得します。デフォルトはfalse。 |
| entity_group_id | integer >= 1 Example: entity_group_id=100 車両グループIDで絞り込み |
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "id": 1,
- "enterprise_id": 2,
- "organization_id": 100,
- "vehicle": {
- "vehicle_id": 123,
- "entity_id": 20000001,
- "name": "営業車 A-001"
}, - "left_days": 20,
- "in_remind": true,
- "reminded_at": "2026-02-01T00:00:00+09:00",
- "maintenance": {
- "id": 100,
- "term_type": "statutory_12_months",
- "term_type_label": "法定12ヶ月",
- "started_at": "2026-03-01T00:00:00+09:00",
- "ended_at": "2026-03-01T18:00:00+09:00",
- "next_maintenance_date": "2027-03-01T00:00:00+09:00",
- "odometer": 30000,
- "memo": "オイル交換とブレーキパッド交換を実施",
- "details": [
- {
- "id": 10000,
- "label": "オイル交換",
- "amount": 3000
}
], - "created_at": "2026-03-01T10:30:00+09:00",
- "updated_at": "2026-03-01T10:30:00+09:00"
}, - "created_at": "2026-01-15T09:00:00+09:00",
- "updated_at": "2026-01-15T09:00:00+09:00"
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
}任意の期間についてユーザー軸の走行データを指定した集計単位(全期間、月別、週別、日別)で集計します。 既定の並び順は集計期間開始日時の降順です。
| cursor | string Example: cursor= ページング開始するカーソル。未指定or空文字列の時は先頭からになります。 |
| limit | integer [ 1 .. 100 ] Default: 50 Example: limit=50 1ページあたりの件数(デフォルト: 50、最大: 100) |
| sort | string Default: "ts_from" Value: "ts_from" Example: sort=ts_from ソートフィールド(デフォルト: ts_from) |
| direction | string Default: "desc" Enum: "asc" "desc" Example: direction=desc ソート順(デフォルト: desc) |
| group_type required | string Enum: "user_id" "user_group_id" "user_group_id_for_users" Example: group_type=user_id 集計タイプ
|
| user_id | integer >= 1 Example: user_id=123 ユーザーID。group_type=user_idの場合は必須 |
| user_group_id | integer >= 1 Example: user_group_id=1 ユーザーグループID(ユーザーグループに所属する全ユーザーの走行データを集計)。group_type=user_group_idの場合は必須 |
| user_group_id_for_users | integer >= 1 Example: user_group_id_for_users=1 ユーザーグループID(指定したユーザーグループの各ユーザーの走行データを集計)。group_type=user_group_id_for_usersの場合は必須 |
| ts_from required | string <date-time> Example: ts_from=2023-03-01T00:00:00Z 集計期間の開始日時(RFC3339形式) |
| ts_to required | string <date-time> Example: ts_to=2023-03-10T23:59:59Z 集計期間の終了日時(RFC3339形式)。集計対象によって指定可能な範囲が制限されます。
|
| aggregate_unit | string Default: "all" Enum: "all" "month" "week" "day" Example: aggregate_unit=all 集計単位
|
{- "meta": {
- "request_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
- "enterprise_id": 123,
- "organization_id": 456
}, - "data": [
- {
- "aggregation_target": {
- "id": 200001,
- "name": "山田太郎"
}, - "ts_from": "2023-03-01T15:00:00Z",
- "ts_to": "2023-03-10T14:59:59Z",
- "duration_date": 10,
- "duration_time": 3096,
- "distance": 30.1,
- "average_score": 98,
- "hard_acceleration_count": 2,
- "hard_deceleration_count": 0,
- "hard_steering_count": 0,
- "max_speed": 80
}
], - "pagination": {
- "type": "cursor",
- "has_next": false,
- "limit": 50,
- "cursor": null
}
[...]
